Package org.optaplanner.benchmark.config.blueprint

## Class SolverBenchmarkBluePrintConfig

- java.lang.Object
- - org.optaplanner.benchmark.config.blueprint.SolverBenchmarkBluePrintConfig

-     public class SolverBenchmarkBluePrintConfig
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected SolverBenchmarkBluePrintType` | `solverBenchmarkBluePrintType` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SolverBenchmarkBluePrintConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<SolverBenchmarkConfig>` | `buildSolverBenchmarkConfigList()` |
    `SolverBenchmarkBluePrintType` | `getSolverBenchmarkBluePrintType()` |
    `void` | `setSolverBenchmarkBluePrintType​(SolverBenchmarkBluePrintType solverBenchmarkBluePrintType)` |
    `protected void` | `validate()` |
    `SolverBenchmarkBluePrintConfig` | `withSolverBenchmarkBluePrintType​(SolverBenchmarkBluePrintType solverBenchmarkBluePrintType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### solverBenchmarkBluePrintType

          protected SolverBenchmarkBluePrintType solverBenchmarkBluePrintType

  - ### Constructor Detail

    - #### SolverBenchmarkBluePrintConfig

          public SolverBenchmarkBluePrintConfig()

  - ### Method Detail

    - #### getSolverBenchmarkBluePrintType

          public SolverBenchmarkBluePrintType getSolverBenchmarkBluePrintType()

    - #### setSolverBenchmarkBluePrintType

          public void setSolverBenchmarkBluePrintType​(SolverBenchmarkBluePrintType solverBenchmarkBluePrintType)

    - #### buildSolverBenchmarkConfigList

          public List<SolverBenchmarkConfig> buildSolverBenchmarkConfigList()

    - #### validate

          protected void validate()

    - #### withSolverBenchmarkBluePrintType

          public SolverBenchmarkBluePrintConfig withSolverBenchmarkBluePrintType​(SolverBenchmarkBluePrintType solverBenchmarkBluePrintType)